package net.knarcraft.blacksmith;

import be.seeseemelk.mockbukkit.ServerMock;
import org.bukkit.Material;
import org.bukkit.NamespacedKey;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.Recipe;
import org.bukkit.inventory.ShapedRecipe;
import org.jetbrains.annotations.NotNull;

import java.util.ArrayList;
import java.util.List;

/**
 * A custom server mock specifically for making the SalvageHelperTest work
 */
public class CustomServerMock extends ServerMock {

    public @NotNull List<Recipe> getRecipesFor(@NotNull ItemStack itemStack) {
        List<Recipe> validRecipes = new ArrayList<>();
        if (itemStack.getType() == Material.DIAMOND_PICKAXE) {
            ShapedRecipe recipe = new ShapedRecipe(NamespacedKey.minecraft("diamond_pickaxe"), itemStack);
            recipe.shape("ddd", "asa", "asa");
            recipe.setIngredient('d', Material.DIAMOND);
            recipe.setIngredient('s', Material.STICK);
            validRecipes.add(recipe);
        }
        return validRecipes;
    }

}
